summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2020-05-23 12:39:14 +0100
committerSergei Trofimovich <slyfox@gentoo.org>2020-05-23 12:39:28 +0100
commit12e796831bdef05d6f3e87088a379c1f612a5725 (patch)
treeecb1ccd06c09fc9a98e99d6f5b587fdc5b946f2d
parentmedia-gfx/hugin: Drop 2019.0.0 (diff)
downloadgentoo-12e796831bdef05d6f3e87088a379c1f612a5725.tar.gz
gentoo-12e796831bdef05d6f3e87088a379c1f612a5725.tar.bz2
gentoo-12e796831bdef05d6f3e87088a379c1f612a5725.zip
dev-util/radare2: pass CC,AR,LD,OBJCOPY,RANLIB, bug #720700
Reported-by: Agostino Sarubbo Closes: https://bugs.gentoo.org/720700 Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
-rw-r--r--dev-util/radare2/files/radare2-4.4.0-AR.patch25
-rw-r--r--dev-util/radare2/files/radare2-4.4.0-RANLIB.patch24
-rw-r--r--dev-util/radare2/radare2-4.4.0-r1.ebuild65
3 files changed, 114 insertions, 0 deletions
diff --git a/dev-util/radare2/files/radare2-4.4.0-AR.patch b/dev-util/radare2/files/radare2-4.4.0-AR.patch
new file mode 100644
index 00000000000..406bd7ab004
--- /dev/null
+++ b/dev-util/radare2/files/radare2-4.4.0-AR.patch
@@ -0,0 +1,25 @@
+
+--- a/mk/clang.mk
++++ b/mk/clang.mk
+@@ -3,7 +3,8 @@ _INCLUDE_MK_CLANG_=1
+ CC?=clang
+ RANLIB=ranlib
+ ONELIB=0
+-CC_AR=ar q ${LIBAR}
++AR?=ar
++CC_AR=$(AR) q ${LIBAR}
+ CFLAGS+=-MD
+ CFLAGS_INCLUDE=-I
+ LDFLAGS_LINK=-l
+--- a/mk/gcc.mk
++++ b/mk/gcc.mk
+@@ -4,7 +4,8 @@ CC?=gcc
+ OBJCOPY=objcopy
+ RANLIB=ranlib
+ ONELIB=0
+-CC_AR=ar q ${LIBAR}
++AR?=ar
++CC_AR=$(AR) q ${LIBAR}
+ CFLAGS+=-MD
+ CFLAGS_INCLUDE=-I
+ LDFLAGS_LINK=-l
diff --git a/dev-util/radare2/files/radare2-4.4.0-RANLIB.patch b/dev-util/radare2/files/radare2-4.4.0-RANLIB.patch
new file mode 100644
index 00000000000..6ce007a5278
--- /dev/null
+++ b/dev-util/radare2/files/radare2-4.4.0-RANLIB.patch
@@ -0,0 +1,24 @@
+--- a/mk/clang.mk
++++ b/mk/clang.mk
+@@ -1,7 +1,7 @@
+ ifeq (${_INCLUDE_MK_CLANG_},)
+ _INCLUDE_MK_CLANG_=1
+ CC?=clang
+-RANLIB=ranlib
++RANLIB?=ranlib
+ ONELIB=0
+ AR?=ar
+ CC_AR=$(AR) q ${LIBAR}
+--- a/mk/gcc.mk
++++ b/mk/gcc.mk
+@@ -1,8 +1,8 @@
+ ifeq (${_INCLUDE_MK_GCC_},)
+ _INCLUDE_MK_GCC_=1
+ CC?=gcc
+-OBJCOPY=objcopy
+-RANLIB=ranlib
++OBJCOPY?=objcopy
++RANLIB?=ranlib
+ ONELIB=0
+ AR?=ar
+ CC_AR=$(AR) q ${LIBAR}
diff --git a/dev-util/radare2/radare2-4.4.0-r1.ebuild b/dev-util/radare2/radare2-4.4.0-r1.ebuild
new file mode 100644
index 00000000000..376d0a9f521
--- /dev/null
+++ b/dev-util/radare2/radare2-4.4.0-r1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit bash-completion-r1 eutils toolchain-funcs
+
+DESCRIPTION="unix-like reverse engineering framework and commandline tools"
+HOMEPAGE="http://www.radare.org"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/radareorg/radare2"
+else
+ SRC_URI="https://github.com/radareorg/radare2/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="ssl libressl"
+
+RDEPEND="
+ dev-libs/capstone:0=
+ ssl? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.4.0-AR.patch
+ "${FILESDIR}"/${PN}-4.4.0-RANLIB.patch
+)
+
+src_configure() {
+ # Ideally these should be set by ./configure
+ tc-export CC AR LD OBJCOPY RANLIB
+ export HOST_CC=${CC}
+
+ econf \
+ --without-libuv \
+ --with-syscapstone \
+ $(use_with ssl openssl)
+}
+
+src_install() {
+ default
+
+ insinto /usr/share/zsh/site-functions
+ doins doc/zsh/_*
+
+ newbashcomp doc/bash_autocompletion.sh "${PN}"
+ bashcomp_alias "${PN}" rafind2 r2 rabin2 rasm2 radiff2
+
+ # a workaround for unstable $(INSTALL) call, bug #574866
+ local d
+ for d in doc/*; do
+ if [[ -d $d ]]; then
+ rm -rfv "$d" || die "failed to delete '$d'"
+ fi
+ done
+}